use super::Arguments;
use super::raw_audio::{I16Samples, Settings};
use std::io::Write;
use symphonia::core::audio::Layout;
use tool_helper::Error;

const HIGH_FREQUENCY:u32 = 37_800;
const  LOW_FREQUENCY:u32 = 18_900;

pub fn audio_conversion_settings(arguments: &Arguments) -> Settings {
    let frequency = match arguments.frequency {
        super::Frequency::High => HIGH_FREQUENCY,
        super::Frequency::Low  => LOW_FREQUENCY,
    };
    let layout    = match arguments.channels {
        super::Channels::Stereo => Layout::Stereo,
        super::Channels::Mono   => Layout::Mono,
    };

    Settings::new(frequency, layout)
}

pub fn convert(_input: I16Samples, _output: &mut dyn Write, _arguments: &Arguments) -> Result<(), Error> {
    Err(Error::not_implemented("XA conversion"))
}